<?php
namespace WP_Media_Folder\Aws\AlexaForBusiness;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Alexa For Business** service.
 * @method \WP_Media_Folder\Aws\Result approveSkill(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise approveSkillAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result associateContactWithAddressBook(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateContactWithAddressBookAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result associateDeviceWithRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateDeviceWithRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result associateSkillGroupWithRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateSkillGroupWithRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result associateSkillWithSkillGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateSkillWithSkillGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAddressBook(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAddressBookAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createConferenceProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createConferenceProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createContact(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createContactAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSkillGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSkillGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAddressBook(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAddressBookAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConferenceProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConferenceProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteContact(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteContactAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRoomSkillParameter(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRoomSkillParameterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSkillAuthorization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSkillAuthorizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSkillGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSkillGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateContactFromAddressBook(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateContactFromAddressBookAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateDeviceFromRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateDeviceFromRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateSkillFromSkillGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateSkillFromSkillGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateSkillGroupFromRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateSkillGroupFromRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result forgetSmartHomeAppliances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise forgetSmartHomeAppliancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAddressBook(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAddressBookAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getConferencePreference(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getConferencePreferenceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getConferenceProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getConferenceProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getContact(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getContactAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getRoomSkillParameter(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getRoomSkillParameterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getSkillGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getSkillGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listConferenceProviders(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listConferenceProvidersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDeviceEvents(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDeviceEventsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSkills(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSkillsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSkillsStoreCategories(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSkillsStoreCategoriesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSkillsStoreSkillsByCategory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSkillsStoreSkillsByCategoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSmartHomeAppliances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSmartHomeAppliancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConferencePreference(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConferencePreferenceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putRoomSkillParameter(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putRoomSkillParameterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putSkillAuthorization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putSkillAuthorizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerAVSDevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerAVSDeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result rejectSkill(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise rejectSkillAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resolveRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resolveRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result revokeInvitation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise revokeInvitationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchAddressBooks(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchAddressBooksAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchContacts(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchContactsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchDevices(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchDevicesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchProfiles(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchProfilesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchRooms(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchRoomsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchSkillGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchSkillGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchUsers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchUsersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result sendInvitation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise sendInvitationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startDeviceSync(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startDeviceSyncAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startSmartHomeApplianceDiscovery(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startSmartHomeApplianceDiscoveryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result tagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result untagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateAddressBook(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateAddressBookAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateConferenceProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateConferenceProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateContact(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateContactAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateDevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateDeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateRoom(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateRoomAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateSkillGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateSkillGroupAsync(array $args = [])
 */
class AlexaForBusinessClient extends AwsClient {}
