<?php
namespace WP_Media_Folder\Aws\Amplify;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Amplify** service.
 * @method \WP_Media_Folder\Aws\Result createApp(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAppAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createBranch(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createBranchAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDomainAssociation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDomainAssociationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteApp(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAppAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteBranch(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteBranchAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDomainAssociation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDomainAssociationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getApp(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAppAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getBranch(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getBranchAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDomainAssociation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDomainAssociationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listApps(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAppsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listBranches(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listBranchesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDomainAssociations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDomainAssociationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listJobs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listJobsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateApp(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateAppAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateBranch(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateBranchAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateDomainAssociation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateDomainAssociationAsync(array $args = [])
 */
class AmplifyClient extends AwsClient {}
