<?php
namespace WP_Media_Folder\Aws\Appstream;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon AppStream** service.
 * @method \WP_Media_Folder\Aws\Result associateFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchAssociateUserStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchAssociateUserStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchDisassociateUserStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchDisassociateUserStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result copyImage(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise copyImageAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDirectoryConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDirectoryConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createImageBuilder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createImageBuilderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createImageBuilderStreamingURL(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createImageBuilderStreamingURLAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createStreamingURL(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createStreamingURLAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDirectoryConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDirectoryConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteImage(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteImageAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteImageBuilder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteImageBuilderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteImagePermissions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteImagePermissionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDirectoryConfigs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDirectoryConfigsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeFleets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeFleetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeImageBuilders(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeImageBuildersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeImagePermissions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeImagePermissionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeImages(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeImagesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSessions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSessionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStacks(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStacksAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeUserStackAssociations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeUserStackAssociationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeUsers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeUsersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disableUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disableUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result expireSession(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise expireSessionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAssociatedFleets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAssociatedFleetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAssociatedStacks(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAssociatedStacksAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTagsForResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startImageBuilder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startImageBuilderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopImageBuilder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopImageBuilderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result tagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result untagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateDirectoryConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateDirectoryConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateImagePermissions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateImagePermissionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateStackAsync(array $args = [])
 */
class AppstreamClient extends AwsClient {}
