<?php
namespace WP_Media_Folder\Aws\CloudFormation;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS CloudFormation** service.
 *
 * @method \WP_Media_Folder\Aws\Result cancelUpdateStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise cancelUpdateStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result continueUpdateRollback(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise continueUpdateRollbackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createChangeSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createChangeSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createStackInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createStackInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createStackSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createStackSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteChangeSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteChangeSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteStackInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteStackInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteStackSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteStackSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAccountLimits(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAccountLimitsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeChangeSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeChangeSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackDriftDetectionStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackDriftDetectionStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackEvents(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackEventsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackResourceDrifts(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackResourceDriftsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackResources(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackResourcesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStackSetOperation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStackSetOperationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStacks(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStacksAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result detectStackDrift(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise detectStackDriftAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result detectStackResourceDrift(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise detectStackResourceDriftAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result estimateTemplateCost(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise estimateTemplateCostAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result executeChangeSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise executeChangeSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getStackPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getStackPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTemplate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTemplateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTemplateSummary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTemplateSummaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listChangeSets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listChangeSetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listExports(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listExportsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listImports(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listImportsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStackInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStackInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStackResources(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStackResourcesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStackSetOperationResults(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStackSetOperationResultsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStackSetOperations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStackSetOperationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStackSets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStackSetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStacks(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStacksAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setStackPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setStackPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result signalResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise signalResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopStackSetOperation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopStackSetOperationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateStack(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateStackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateStackInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateStackInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateStackSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateStackSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateTerminationProtection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateTerminationProtectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result validateTemplate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise validateTemplateAsync(array $args = [])
 */
class CloudFormationClient extends AwsClient {}
