<?php
namespace WP_Media_Folder\Aws\CodeDeploy;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with AWS CodeDeploy
 *
 * @method \WP_Media_Folder\Aws\Result addTagsToOnPremisesInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addTagsToOnPremisesInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetApplicationRevisions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetApplicationRevisionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetApplications(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetApplicationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetDeploymentGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetDeploymentGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetDeploymentInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetDeploymentInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetDeploymentTargets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetDeploymentTargetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetDeployments(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetDeploymentsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetOnPremisesInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetOnPremisesInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result continueDeployment(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise continueDeploymentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDeployment(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDeploymentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDeploymentConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDeploymentConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDeploymentGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDeploymentGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDeploymentConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDeploymentConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDeploymentGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDeploymentGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteGitHubAccountToken(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteGitHubAccountTokenAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deregisterOnPremisesInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deregisterOnPremisesInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getApplicationRevision(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getApplicationRevisionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDeployment(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDeploymentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDeploymentConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDeploymentConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDeploymentGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDeploymentGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDeploymentInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDeploymentInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDeploymentTarget(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDeploymentTargetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getOnPremisesInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getOnPremisesInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listApplicationRevisions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listApplicationRevisionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listApplications(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listApplicationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDeploymentConfigs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDeploymentConfigsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDeploymentGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDeploymentGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDeploymentInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDeploymentInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDeploymentTargets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDeploymentTargetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDeployments(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDeploymentsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listGitHubAccountTokenNames(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listGitHubAccountTokenNamesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listOnPremisesInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listOnPremisesInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putLifecycleEventHookExecutionStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putLifecycleEventHookExecutionStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerApplicationRevision(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerApplicationRevisionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerOnPremisesInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerOnPremisesInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeTagsFromOnPremisesInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeTagsFromOnPremisesInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result skipWaitTimeForInstanceTermination(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise skipWaitTimeForInstanceTerminationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopDeployment(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopDeploymentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateDeploymentGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateDeploymentGroupAsync(array $args = [])
 */
class CodeDeployClient extends AwsClient {}
