<?php
namespace WP_Media_Folder\Aws\CodeStar;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS CodeStar** service.
 * @method \WP_Media_Folder\Aws\Result associateTeamMember(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateTeamMemberAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createProject(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createProjectAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createUserProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createUserProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteProject(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteProjectAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUserProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeProject(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeProjectAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeUserProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeUserProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateTeamMember(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateTeamMemberAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listProjects(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listProjectsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listResources(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listResourcesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTagsForProject(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsForProjectAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTeamMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTeamMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listUserProfiles(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listUserProfilesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result tagProject(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise tagProjectAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result untagProject(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise untagProjectAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateProject(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateProjectAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateTeamMember(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateTeamMemberAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateUserProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateUserProfileAsync(array $args = [])
 */
class CodeStarClient extends AwsClient {}
