<?php
namespace WP_Media_Folder\Aws\ConfigService;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with AWS Config.
 *
 * @method \WP_Media_Folder\Aws\Result batchGetAggregateResourceConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetAggregateResourceConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetResourceConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetResourceConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAggregationAuthorization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAggregationAuthorizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConfigRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConfigRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConfigurationAggregator(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConfigurationAggregatorAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConfigurationRecorder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConfigurationRecorderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDeliveryChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDeliveryChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteEvaluationResults(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteEvaluationResultsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deletePendingAggregationRequest(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deletePendingAggregationRequestAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRetentionConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRetentionConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deliverConfigSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deliverConfigSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAggregateComplianceByConfigRules(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAggregateComplianceByConfigRulesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAggregationAuthorizations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAggregationAuthorizationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeComplianceByConfigRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeComplianceByConfigRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeComplianceByResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeComplianceByResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeConfigRuleEvaluationStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeConfigRuleEvaluationStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeConfigRules(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeConfigRulesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeConfigurationAggregatorSourcesStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeConfigurationAggregatorSourcesStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeConfigurationAggregators(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeConfigurationAggregatorsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeConfigurationRecorderStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeConfigurationRecorderStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeConfigurationRecorders(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeConfigurationRecordersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDeliveryChannelStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDeliveryChannelStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDeliveryChannels(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDeliveryChannelsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describePendingAggregationRequests(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describePendingAggregationRequestsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeRetentionConfigurations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeRetentionConfigurationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAggregateComplianceDetailsByConfigRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAggregateComplianceDetailsByConfigRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAggregateConfigRuleComplianceSummary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAggregateConfigRuleComplianceSummaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAggregateDiscoveredResourceCounts(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAggregateDiscoveredResourceCountsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAggregateResourceConfig(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAggregateResourceConfigAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getComplianceDetailsByConfigRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getComplianceDetailsByConfigRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getComplianceDetailsByResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getComplianceDetailsByResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getComplianceSummaryByConfigRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getComplianceSummaryByConfigRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getComplianceSummaryByResourceType(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getComplianceSummaryByResourceTypeAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDiscoveredResourceCounts(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDiscoveredResourceCountsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getResourceConfigHistory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getResourceConfigHistoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAggregateDiscoveredResources(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAggregateDiscoveredResourcesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDiscoveredResources(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDiscoveredResourcesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putAggregationAuthorization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putAggregationAuthorizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConfigRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConfigRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConfigurationAggregator(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConfigurationAggregatorAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConfigurationRecorder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConfigurationRecorderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putDeliveryChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putDeliveryChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putEvaluations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putEvaluationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putRetentionConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putRetentionConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startConfigRulesEvaluation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startConfigRulesEvaluationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startConfigurationRecorder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startConfigurationRecorderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopConfigurationRecorder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopConfigurationRecorderAsync(array $args = [])
 */
class ConfigServiceClient extends AwsClient {}
