<?php
namespace WP_Media_Folder\Aws\DataSync;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS DataSync** service.
 * @method \WP_Media_Folder\Aws\Result cancelTaskExecution(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise cancelTaskExecutionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAgent(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAgentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLocationEfs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLocationEfsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLocationNfs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLocationNfsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLocationS3(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLocationS3Async(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createTask(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createTaskAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAgent(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAgentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteLocation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteLocationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteTask(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteTaskAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAgent(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAgentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLocationEfs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLocationEfsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLocationNfs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLocationNfsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLocationS3(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLocationS3Async(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTask(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTaskAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTaskExecution(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTaskExecutionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAgents(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAgentsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listLocations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listLocationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTagsForResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTaskExecutions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTaskExecutionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTasks(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTasksAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startTaskExecution(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startTaskExecutionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result tagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result untagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateAgent(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateAgentAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateTask(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateTaskAsync(array $args = [])
 */
class DataSyncClient extends AwsClient {}
