<?php
namespace WP_Media_Folder\Aws\DirectoryService;

use WP_Media_Folder\Aws\AwsClient;

/**
 * AWS Directory Service client
 *
 * @method \WP_Media_Folder\Aws\Result acceptSharedDirectory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise acceptSharedDirectoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result addIpRoutes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addIpRoutesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result addTagsToResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addTagsToResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result cancelSchemaExtension(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise cancelSchemaExtensionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result connectDirectory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise connectDirectoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createComputer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createComputerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createConditionalForwarder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createConditionalForwarderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDirectory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDirectoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLogSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLogSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createMicrosoftAD(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createMicrosoftADAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createTrust(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createTrustAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConditionalForwarder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConditionalForwarderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDirectory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDirectoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteLogSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteLogSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteTrust(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteTrustAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deregisterEventTopic(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deregisterEventTopicAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeConditionalForwarders(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeConditionalForwardersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDirectories(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDirectoriesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDomainControllers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDomainControllersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEventTopics(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEventTopicsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSharedDirectories(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSharedDirectoriesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSnapshots(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSnapshotsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTrusts(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTrustsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disableRadius(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disableRadiusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disableSso(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disableSsoAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableRadius(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableRadiusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableSso(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableSsoAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDirectoryLimits(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDirectoryLimitsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getSnapshotLimits(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getSnapshotLimitsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listIpRoutes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listIpRoutesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listLogSubscriptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listLogSubscriptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSchemaExtensions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSchemaExtensionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTagsForResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerEventTopic(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerEventTopicAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result rejectSharedDirectory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise rejectSharedDirectoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeIpRoutes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeIpRoutesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeTagsFromResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeTagsFromResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resetUserPassword(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resetUserPasswordAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result restoreFromSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise restoreFromSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result shareDirectory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise shareDirectoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startSchemaExtension(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startSchemaExtensionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result unshareDirectory(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise unshareDirectoryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateConditionalForwarder(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateConditionalForwarderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateNumberOfDomainControllers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateNumberOfDomainControllersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateRadius(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateRadiusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateTrust(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateTrustAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result verifyTrust(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise verifyTrustAsync(array $args = [])
 */
class DirectoryServiceClient extends AwsClient {}
