<?php
namespace WP_Media_Folder\Aws\ElasticLoadBalancing;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Elastic Load Balancing** service.
 *
 * @method \WP_Media_Folder\Aws\Result addTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result applySecurityGroupsToLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise applySecurityGroupsToLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result attachLoadBalancerToSubnets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise attachLoadBalancerToSubnetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result configureHealthCheck(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise configureHealthCheckAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAppCookieStickinessPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAppCookieStickinessPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLBCookieStickinessPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLBCookieStickinessPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLoadBalancerListeners(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLoadBalancerListenersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLoadBalancerPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLoadBalancerPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteLoadBalancerListeners(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteLoadBalancerListenersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteLoadBalancerPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteLoadBalancerPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deregisterInstancesFromLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deregisterInstancesFromLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAccountLimits(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAccountLimitsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeInstanceHealth(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeInstanceHealthAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLoadBalancerAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLoadBalancerAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLoadBalancerPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLoadBalancerPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLoadBalancerPolicyTypes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLoadBalancerPolicyTypesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLoadBalancers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLoadBalancersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result detachLoadBalancerFromSubnets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise detachLoadBalancerFromSubnetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disableAvailabilityZonesForLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disableAvailabilityZonesForLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableAvailabilityZonesForLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableAvailabilityZonesForLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyLoadBalancerAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyLoadBalancerAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerInstancesWithLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerInstancesWithLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setLoadBalancerListenerSSLCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setLoadBalancerListenerSSLCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setLoadBalancerPoliciesForBackendServer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setLoadBalancerPoliciesForBackendServerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setLoadBalancerPoliciesOfListener(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setLoadBalancerPoliciesOfListenerAsync(array $args = [])
 */
class ElasticLoadBalancingClient extends AwsClient {}
