<?php
namespace WP_Media_Folder\Aws\ElasticLoadBalancingV2;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Elastic Load Balancing** service.
 * @method \WP_Media_Folder\Aws\Result addListenerCertificates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addListenerCertificatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result addTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createListener(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createListenerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createTargetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createTargetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteListener(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteListenerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteLoadBalancer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteLoadBalancerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteTargetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteTargetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deregisterTargets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deregisterTargetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAccountLimits(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAccountLimitsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeListenerCertificates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeListenerCertificatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeListeners(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeListenersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLoadBalancerAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLoadBalancerAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLoadBalancers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLoadBalancersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeProvisionedCapacity(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeProvisionedCapacityAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeRules(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeRulesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSSLPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSSLPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTargetGroupAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTargetGroupAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTargetGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTargetGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTargetHealth(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTargetHealthAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyListener(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyListenerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyLoadBalancerAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyLoadBalancerAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyProvisionedCapacity(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyProvisionedCapacityAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyRule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyRuleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyTargetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyTargetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyTargetGroupAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyTargetGroupAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerTargets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerTargetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeListenerCertificates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeListenerCertificatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setIpAddressType(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setIpAddressTypeAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setRulePriorities(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setRulePrioritiesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setSecurityGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setSecurityGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setSubnets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setSubnetsAsync(array $args = [])
 */
class ElasticLoadBalancingV2Client extends AwsClient {}
