<?php
namespace WP_Media_Folder\Aws\GameLift;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon GameLift** service.
 *
 * @method \WP_Media_Folder\Aws\Result acceptMatch(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise acceptMatchAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createBuild(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createBuildAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createGameSession(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createGameSessionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createGameSessionQueue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createGameSessionQueueAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createMatchmakingConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createMatchmakingConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createMatchmakingRuleSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createMatchmakingRuleSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createPlayerSession(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createPlayerSessionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createPlayerSessions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createPlayerSessionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createVpcPeeringAuthorization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createVpcPeeringAuthorizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createVpcPeeringConnection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createVpcPeeringConnectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteBuild(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteBuildAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteGameSessionQueue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteGameSessionQueueAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteMatchmakingConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteMatchmakingConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteScalingPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteScalingPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteVpcPeeringAuthorization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteVpcPeeringAuthorizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteVpcPeeringConnection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteVpcPeeringConnectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeBuild(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeBuildAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEC2InstanceLimits(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEC2InstanceLimitsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeFleetAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeFleetAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeFleetCapacity(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeFleetCapacityAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeFleetEvents(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeFleetEventsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeFleetPortSettings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeFleetPortSettingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeFleetUtilization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeFleetUtilizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeGameSessionDetails(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeGameSessionDetailsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeGameSessionPlacement(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeGameSessionPlacementAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeGameSessionQueues(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeGameSessionQueuesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeGameSessions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeGameSessionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeMatchmaking(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeMatchmakingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeMatchmakingConfigurations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeMatchmakingConfigurationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeMatchmakingRuleSets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeMatchmakingRuleSetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describePlayerSessions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describePlayerSessionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeRuntimeConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeRuntimeConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeScalingPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeScalingPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeVpcPeeringAuthorizations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeVpcPeeringAuthorizationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeVpcPeeringConnections(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeVpcPeeringConnectionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getGameSessionLogUrl(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getGameSessionLogUrlAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getInstanceAccess(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getInstanceAccessAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAliases(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAliasesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listBuilds(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listBuildsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listFleets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listFleetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putScalingPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putScalingPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result requestUploadCredentials(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise requestUploadCredentialsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resolveAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resolveAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result searchGameSessions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise searchGameSessionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startFleetActions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startFleetActionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startGameSessionPlacement(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startGameSessionPlacementAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startMatchBackfill(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startMatchBackfillAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startMatchmaking(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startMatchmakingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopFleetActions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopFleetActionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopGameSessionPlacement(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopGameSessionPlacementAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopMatchmaking(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopMatchmakingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateBuild(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateBuildAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateFleetAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateFleetAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateFleetCapacity(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateFleetCapacityAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateFleetPortSettings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateFleetPortSettingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateGameSession(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateGameSessionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateGameSessionQueue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateGameSessionQueueAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateMatchmakingConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateMatchmakingConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateRuntimeConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateRuntimeConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result validateMatchmakingRuleSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise validateMatchmakingRuleSetAsync(array $args = [])
 */
class GameLiftClient extends AwsClient {}
