<?php
namespace WP_Media_Folder\Aws\Glue;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Glue** service.
 * @method \WP_Media_Folder\Aws\Result batchCreatePartition(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchCreatePartitionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchDeleteConnection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchDeleteConnectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchDeletePartition(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchDeletePartitionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchDeleteTable(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchDeleteTableAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchDeleteTableVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchDeleteTableVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchGetPartition(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchGetPartitionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchStopJobRun(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchStopJobRunAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createClassifier(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createClassifierAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createConnection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createConnectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createCrawler(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createCrawlerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDatabase(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDatabaseAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDevEndpoint(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDevEndpointAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createPartition(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createPartitionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createScript(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createScriptAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSecurityConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSecurityConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createTable(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createTableAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createTrigger(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createTriggerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createUserDefinedFunction(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createUserDefinedFunctionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteClassifier(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteClassifierAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConnection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConnectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteCrawler(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteCrawlerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDatabase(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDatabaseAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDevEndpoint(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDevEndpointAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deletePartition(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deletePartitionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteResourcePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteResourcePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSecurityConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSecurityConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteTable(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteTableAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteTableVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteTableVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteTrigger(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteTriggerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUserDefinedFunction(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserDefinedFunctionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getCatalogImportStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getCatalogImportStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getClassifier(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getClassifierAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getClassifiers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getClassifiersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getConnection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getConnectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getConnections(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getConnectionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getCrawler(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getCrawlerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getCrawlerMetrics(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getCrawlerMetricsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getCrawlers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getCrawlersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDataCatalogEncryptionSettings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDataCatalogEncryptionSettingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDatabase(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDatabaseAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDatabases(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDatabasesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDataflowGraph(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDataflowGraphAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDevEndpoint(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDevEndpointAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDevEndpoints(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDevEndpointsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getJobRun(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getJobRunAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getJobRuns(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getJobRunsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getJobs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getJobsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getMapping(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getMappingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getPartition(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getPartitionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getPartitions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getPartitionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getPlan(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getPlanAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getResourcePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getResourcePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getSecurityConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getSecurityConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getSecurityConfigurations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getSecurityConfigurationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTable(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTableAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTableVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTableVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTableVersions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTableVersionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTables(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTablesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTrigger(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTriggerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getTriggers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getTriggersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getUserDefinedFunction(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getUserDefinedFunctionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getUserDefinedFunctions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getUserDefinedFunctionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result importCatalogToGlue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise importCatalogToGlueAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putDataCatalogEncryptionSettings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putDataCatalogEncryptionSettingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putResourcePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putResourcePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resetJobBookmark(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resetJobBookmarkAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startCrawler(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startCrawlerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startCrawlerSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startCrawlerScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startJobRun(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startJobRunAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startTrigger(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startTriggerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopCrawler(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopCrawlerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopCrawlerSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopCrawlerScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopTrigger(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopTriggerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateClassifier(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateClassifierAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateConnection(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateConnectionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateCrawler(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateCrawlerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateCrawlerSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateCrawlerScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateDatabase(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateDatabaseAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateDevEndpoint(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateDevEndpointAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updatePartition(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updatePartitionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateTable(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateTableAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateTrigger(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateTriggerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateUserDefinedFunction(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateUserDefinedFunctionAsync(array $args = [])
 */
class GlueClient extends AwsClient {}
