<?php
namespace WP_Media_Folder\Aws\GuardDuty;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon GuardDuty** service.
 * @method \WP_Media_Folder\Aws\Result acceptInvitation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise acceptInvitationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result archiveFindings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise archiveFindingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDetector(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDetectorAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createFilter(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createFilterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createIPSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createIPSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSampleFindings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSampleFindingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createThreatIntelSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createThreatIntelSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result declineInvitations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise declineInvitationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDetector(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDetectorAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteFilter(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteFilterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteIPSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteIPSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteInvitations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteInvitationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteThreatIntelSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteThreatIntelSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateFromMasterAccount(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateFromMasterAccountAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDetector(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDetectorAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getFilter(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getFilterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getFindings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getFindingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getFindingsStatistics(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getFindingsStatisticsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getIPSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getIPSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getInvitationsCount(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getInvitationsCountAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getMasterAccount(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getMasterAccountAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getThreatIntelSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getThreatIntelSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result inviteMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise inviteMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDetectors(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDetectorsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listFilters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listFiltersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listFindings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listFindingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listIPSets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listIPSetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listInvitations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listInvitationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listThreatIntelSets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listThreatIntelSetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startMonitoringMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startMonitoringMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopMonitoringMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopMonitoringMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result unarchiveFindings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise unarchiveFindingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateDetector(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateDetectorAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateFilter(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateFilterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateFindingsFeedback(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateFindingsFeedbackAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateIPSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateIPSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateThreatIntelSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateThreatIntelSetAsync(array $args = [])
 */
class GuardDutyClient extends AwsClient {}
