<?php
namespace WP_Media_Folder\Aws\Iam;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Identity and Access Management (AWS IAM)** service.
 *
 * @method \WP_Media_Folder\Aws\Result addClientIDToOpenIDConnectProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addClientIDToOpenIDConnectProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result addRoleToInstanceProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addRoleToInstanceProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result addUserToGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addUserToGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result attachGroupPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise attachGroupPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result attachRolePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise attachRolePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result attachUserPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise attachUserPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result changePassword(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise changePasswordAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAccessKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAccessKeyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAccountAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAccountAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createInstanceProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createInstanceProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createLoginProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createLoginProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createOpenIDConnectProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createOpenIDConnectProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createPolicyVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createPolicyVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSAMLProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSAMLProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createServiceLinkedRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createServiceLinkedRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createServiceSpecificCredential(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createServiceSpecificCredentialAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createVirtualMFADevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createVirtualMFADeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deactivateMFADevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deactivateMFADeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAccessKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAccessKeyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAccountAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAccountAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAccountPasswordPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAccountPasswordPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteGroupPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteGroupPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteInstanceProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteInstanceProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteLoginProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteLoginProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteOpenIDConnectProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteOpenIDConnectProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deletePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deletePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deletePolicyVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deletePolicyVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRolePermissionsBoundary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRolePermissionsBoundaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRolePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRolePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSAMLProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSAMLProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSSHPublicKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSSHPublicKeyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteServerCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteServerCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteServiceLinkedRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteServiceLinkedRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteServiceSpecificCredential(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteServiceSpecificCredentialAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSigningCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSigningCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUserPermissionsBoundary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserPermissionsBoundaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUserPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteVirtualMFADevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteVirtualMFADeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result detachGroupPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise detachGroupPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result detachRolePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise detachRolePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result detachUserPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise detachUserPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableMFADevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableMFADeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result generateCredentialReport(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise generateCredentialReportAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAccessKeyLastUsed(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAccessKeyLastUsedAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAccountAuthorizationDetails(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAccountAuthorizationDetailsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAccountPasswordPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAccountPasswordPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAccountSummary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAccountSummaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getContextKeysForCustomPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getContextKeysForCustomPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getContextKeysForPrincipalPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getContextKeysForPrincipalPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getCredentialReport(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getCredentialReportAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getGroupPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getGroupPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getInstanceProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getInstanceProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getLoginProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getLoginProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getOpenIDConnectProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getOpenIDConnectProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getPolicyVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getPolicyVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getRolePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getRolePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getSAMLProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getSAMLProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getSSHPublicKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getSSHPublicKeyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getServerCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getServerCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getServiceLinkedRoleDeletionStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getServiceLinkedRoleDeletionStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getUserPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getUserPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAccessKeys(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAccessKeysAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAccountAliases(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAccountAliasesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAttachedGroupPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAttachedGroupPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAttachedRolePolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAttachedRolePoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAttachedUserPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAttachedUserPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listEntitiesForPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listEntitiesForPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listGroupPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listGroupPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listGroupsForUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listGroupsForUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listInstanceProfiles(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listInstanceProfilesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listInstanceProfilesForRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listInstanceProfilesForRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listMFADevices(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listMFADevicesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listOpenIDConnectProviders(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listOpenIDConnectProvidersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listPolicyVersions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listPolicyVersionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listRolePolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listRolePoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listRoleTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listRoleTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listRoles(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listRolesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSAMLProviders(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSAMLProvidersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSSHPublicKeys(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSSHPublicKeysAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listServerCertificates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listServerCertificatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listServiceSpecificCredentials(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listServiceSpecificCredentialsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSigningCertificates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSigningCertificatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listUserPolicies(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listUserPoliciesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listUserTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listUserTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listUsers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listUsersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listVirtualMFADevices(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listVirtualMFADevicesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putGroupPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putGroupPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putRolePermissionsBoundary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putRolePermissionsBoundaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putRolePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putRolePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putUserPermissionsBoundary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putUserPermissionsBoundaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putUserPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putUserPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeClientIDFromOpenIDConnectProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeClientIDFromOpenIDConnectProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeRoleFromInstanceProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeRoleFromInstanceProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeUserFromGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeUserFromGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resetServiceSpecificCredential(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resetServiceSpecificCredentialAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resyncMFADevice(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resyncMFADeviceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result setDefaultPolicyVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise setDefaultPolicyVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result simulateCustomPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise simulateCustomPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result simulatePrincipalPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise simulatePrincipalPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result tagRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise tagRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result tagUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise tagUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result untagRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise untagRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result untagUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise untagUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateAccessKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateAccessKeyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateAccountPasswordPolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateAccountPasswordPolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateAssumeRolePolicy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateAssumeRolePolicyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateLoginProfile(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateLoginProfileAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateOpenIDConnectProviderThumbprint(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateOpenIDConnectProviderThumbprintAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateRole(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateRoleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateRoleDescription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateRoleDescriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateSAMLProvider(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateSAMLProviderAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateSSHPublicKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateSSHPublicKeyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateServerCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateServerCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateServiceSpecificCredential(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateServiceSpecificCredentialAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateSigningCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateSigningCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result uploadSSHPublicKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise uploadSSHPublicKeyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result uploadServerCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise uploadServerCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result uploadSigningCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise uploadSigningCertificateAsync(array $args = [])
 */
class IamClient extends AwsClient {}
