<?php
namespace WP_Media_Folder\Aws\Kinesis;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Kinesis** service.
 *
 * @method \WP_Media_Folder\Aws\Result addTagsToStream(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addTagsToStreamAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createStream(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createStreamAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result decreaseStreamRetentionPeriod(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise decreaseStreamRetentionPeriodAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteStream(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteStreamAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deregisterStreamConsumer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deregisterStreamConsumerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLimits(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLimitsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStream(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStreamAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStreamConsumer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStreamConsumerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStreamSummary(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStreamSummaryAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disableEnhancedMonitoring(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disableEnhancedMonitoringAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableEnhancedMonitoring(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableEnhancedMonitoringAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getRecords(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getRecordsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getShardIterator(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getShardIteratorAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result increaseStreamRetentionPeriod(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise increaseStreamRetentionPeriodAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listShards(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listShardsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStreamConsumers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStreamConsumersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listStreams(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listStreamsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTagsForStream(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsForStreamAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result mergeShards(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise mergeShardsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putRecord(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putRecordAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putRecords(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putRecordsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerStreamConsumer(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerStreamConsumerAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeTagsFromStream(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeTagsFromStreamAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result splitShard(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise splitShardAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startStreamEncryption(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startStreamEncryptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopStreamEncryption(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopStreamEncryptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateShardCount(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateShardCountAsync(array $args = [])
 */
class KinesisClient extends AwsClient {}
