<?php
namespace WP_Media_Folder\Aws\MediaConvert;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Elemental MediaConvert** service.
 * @method \WP_Media_Folder\Aws\Result associateCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result cancelJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise cancelJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createJobTemplate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createJobTemplateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createPreset(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createPresetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createQueue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createQueueAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteJobTemplate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteJobTemplateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deletePreset(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deletePresetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteQueue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteQueueAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEndpoints(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEndpointsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getJobTemplate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getJobTemplateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getPreset(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getPresetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getQueue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getQueueAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listJobTemplates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listJobTemplatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listJobs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listJobsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listPresets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listPresetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listQueues(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listQueuesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTagsForResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result tagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result untagResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateJobTemplate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateJobTemplateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updatePreset(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updatePresetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateQueue(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateQueueAsync(array $args = [])
 */
class MediaConvertClient extends AwsClient {}
