<?php
namespace WP_Media_Folder\Aws\MediaLive;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Elemental MediaLive** service.
 * @method \WP_Media_Folder\Aws\Result batchUpdateSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchUpdateScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createInput(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createInputAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createInputSecurityGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createInputSecurityGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteInput(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteInputAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteInputSecurityGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteInputSecurityGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteReservation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteReservationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeInput(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeInputAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeInputSecurityGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeInputSecurityGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeOffering(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeOfferingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeReservation(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeReservationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listChannels(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listChannelsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listInputSecurityGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listInputSecurityGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listInputs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listInputsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listOfferings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listOfferingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listReservations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listReservationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result purchaseOffering(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise purchaseOfferingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result startChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise startChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result stopChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise stopChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateChannel(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateChannelAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateInput(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateInputAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateInputSecurityGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateInputSecurityGroupAsync(array $args = [])
 */
class MediaLiveClient extends AwsClient {}
