<?php
namespace WP_Media_Folder\Aws\Neptune;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Neptune** service.
 * @method \WP_Media_Folder\Aws\Result addRoleToDBCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addRoleToDBClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result addSourceIdentifierToSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addSourceIdentifierToSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result addTagsToResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise addTagsToResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result applyPendingMaintenanceAction(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise applyPendingMaintenanceActionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result copyDBClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise copyDBClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result copyDBClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise copyDBClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result copyDBParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise copyDBParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDBCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDBClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDBClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDBClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDBClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDBClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDBInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDBInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDBParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDBParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDBSubnetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDBSubnetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createEventSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createEventSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDBCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDBClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDBClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDBClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDBClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDBClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDBInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDBInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDBParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDBParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDBSubnetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDBSubnetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteEventSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteEventSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBClusterParameterGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBClusterParameterGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBClusterParameters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBClusterParametersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBClusterSnapshotAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBClusterSnapshotAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBClusterSnapshots(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBClusterSnapshotsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBClusters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBClustersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBEngineVersions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBEngineVersionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBInstances(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBInstancesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBParameterGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBParameterGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBParameters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBParametersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDBSubnetGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDBSubnetGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEngineDefaultClusterParameters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEngineDefaultClusterParametersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEngineDefaultParameters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEngineDefaultParametersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEventCategories(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEventCategoriesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEventSubscriptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEventSubscriptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEvents(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEventsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeOrderableDBInstanceOptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeOrderableDBInstanceOptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describePendingMaintenanceActions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describePendingMaintenanceActionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeValidDBInstanceModifications(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeValidDBInstanceModificationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result failoverDBCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise failoverDBClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listTagsForResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyDBCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyDBClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyDBClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyDBClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyDBClusterSnapshotAttribute(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyDBClusterSnapshotAttributeAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyDBInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyDBInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyDBParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyDBParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyDBSubnetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyDBSubnetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyEventSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyEventSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result promoteReadReplicaDBCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise promoteReadReplicaDBClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result rebootDBInstance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise rebootDBInstanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeRoleFromDBCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeRoleFromDBClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeSourceIdentifierFromSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeSourceIdentifierFromSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result removeTagsFromResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise removeTagsFromResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resetDBClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resetDBClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resetDBParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resetDBParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result restoreDBClusterFromSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise restoreDBClusterFromSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result restoreDBClusterToPointInTime(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise restoreDBClusterToPointInTimeAsync(array $args = [])
 */
class NeptuneClient extends AwsClient {}
