<?php
namespace WP_Media_Folder\Aws\PinpointEmail;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Pinpoint Email Service** service.
 * @method \WP_Media_Folder\Aws\Result createConfigurationSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createConfigurationSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createConfigurationSetEventDestination(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createConfigurationSetEventDestinationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDedicatedIpPool(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDedicatedIpPoolAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createEmailIdentity(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createEmailIdentityAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConfigurationSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConfigurationSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteConfigurationSetEventDestination(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteConfigurationSetEventDestinationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteDedicatedIpPool(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteDedicatedIpPoolAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteEmailIdentity(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteEmailIdentityAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getAccount(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getAccountAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getConfigurationSet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getConfigurationSetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getConfigurationSetEventDestinations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getConfigurationSetEventDestinationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDedicatedIp(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDedicatedIpAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getDedicatedIps(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getDedicatedIpsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getEmailIdentity(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getEmailIdentityAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listConfigurationSets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listConfigurationSetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDedicatedIpPools(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDedicatedIpPoolsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listEmailIdentities(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listEmailIdentitiesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putAccountDedicatedIpWarmupAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putAccountDedicatedIpWarmupAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putAccountSendingAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putAccountSendingAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConfigurationSetDeliveryOptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConfigurationSetDeliveryOptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConfigurationSetReputationOptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConfigurationSetReputationOptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConfigurationSetSendingOptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConfigurationSetSendingOptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putConfigurationSetTrackingOptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putConfigurationSetTrackingOptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putDedicatedIpInPool(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putDedicatedIpInPoolAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putDedicatedIpWarmupAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putDedicatedIpWarmupAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putEmailIdentityDkimAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putEmailIdentityDkimAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putEmailIdentityFeedbackAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putEmailIdentityFeedbackAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putEmailIdentityMailFromAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putEmailIdentityMailFromAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result sendEmail(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise sendEmailAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateConfigurationSetEventDestination(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateConfigurationSetEventDestinationAsync(array $args = [])
 */
class PinpointEmailClient extends AwsClient {}
