<?php
namespace WP_Media_Folder\Aws\Redshift;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Redshift** service.
 *
 * @method \WP_Media_Folder\Aws\Result acceptReservedNodeExchange(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise acceptReservedNodeExchangeAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result authorizeClusterSecurityGroupIngress(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise authorizeClusterSecurityGroupIngressAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result authorizeSnapshotAccess(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise authorizeSnapshotAccessAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchDeleteClusterSnapshots(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchDeleteClusterSnapshotsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result batchModifyClusterSnapshots(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchModifyClusterSnapshotsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result cancelResize(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise cancelResizeAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result copyClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise copyClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createClusterSecurityGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createClusterSecurityGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createClusterSubnetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createClusterSubnetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createEventSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createEventSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createHsmClientCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createHsmClientCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createHsmConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createHsmConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSnapshotCopyGrant(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSnapshotCopyGrantAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSnapshotSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSnapshotScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteClusterSecurityGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteClusterSecurityGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteClusterSubnetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteClusterSubnetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteEventSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteEventSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteHsmClientCertificate(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteHsmClientCertificateAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteHsmConfiguration(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteHsmConfigurationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSnapshotCopyGrant(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSnapshotCopyGrantAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSnapshotSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSnapshotScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeAccountAttributes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeAccountAttributesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterDbRevisions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterDbRevisionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterParameterGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterParameterGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterParameters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterParametersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterSecurityGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterSecurityGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterSnapshots(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterSnapshotsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterSubnetGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterSubnetGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterTracks(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterTracksAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusterVersions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClusterVersionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeClusters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeClustersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDefaultClusterParameters(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDefaultClusterParametersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEventCategories(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEventCategoriesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEventSubscriptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEventSubscriptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeEvents(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeEventsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeHsmClientCertificates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeHsmClientCertificatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeHsmConfigurations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeHsmConfigurationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeLoggingStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeLoggingStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeOrderableClusterOptions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeOrderableClusterOptionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeReservedNodeOfferings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeReservedNodeOfferingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeReservedNodes(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeReservedNodesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeResize(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeResizeAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSnapshotCopyGrants(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSnapshotCopyGrantsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSnapshotSchedules(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSnapshotSchedulesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeStorage(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeStorageAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTableRestoreStatus(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTableRestoreStatusAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeTags(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeTagsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disableLogging(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disableLoggingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disableSnapshotCopy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disableSnapshotCopyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableLogging(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableLoggingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result enableSnapshotCopy(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise enableSnapshotCopyAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getClusterCredentials(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getClusterCredentialsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result getReservedNodeExchangeOfferings(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise getReservedNodeExchangeOfferingsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyClusterDbRevision(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterDbRevisionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyClusterIamRoles(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterIamRolesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyClusterMaintenance(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterMaintenanceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyClusterSnapshotSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterSnapshotScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyClusterSubnetGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyClusterSubnetGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifyEventSubscription(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifyEventSubscriptionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifySnapshotCopyRetentionPeriod(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifySnapshotCopyRetentionPeriodAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result modifySnapshotSchedule(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise modifySnapshotScheduleAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result purchaseReservedNodeOffering(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise purchaseReservedNodeOfferingAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result rebootCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise rebootClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resetClusterParameterGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resetClusterParameterGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resizeCluster(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resizeClusterAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result restoreFromClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise restoreFromClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result restoreTableFromClusterSnapshot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise restoreTableFromClusterSnapshotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result revokeClusterSecurityGroupIngress(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise revokeClusterSecurityGroupIngressAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result revokeSnapshotAccess(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise revokeSnapshotAccessAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result rotateEncryptionKey(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise rotateEncryptionKeyAsync(array $args = [])
 */
class RedshiftClient extends AwsClient {}
