<?php
namespace WP_Media_Folder\Aws\RoboMaker;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS RoboMaker** service.
 * @method \WP_Media_Folder\Aws\Result batchDescribeSimulationJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise batchDescribeSimulationJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result cancelSimulationJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise cancelSimulationJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createDeploymentJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createDeploymentJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createRobot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createRobotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createRobotApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createRobotApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createRobotApplicationVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createRobotApplicationVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSimulationApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSimulationApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSimulationApplicationVersion(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSimulationApplicationVersionAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createSimulationJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createSimulationJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRobot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRobotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteRobotApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteRobotApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteSimulationApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteSimulationApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deregisterRobot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deregisterRobotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeDeploymentJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeDeploymentJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeFleet(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeFleetAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeRobot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeRobotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeRobotApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeRobotApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSimulationApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSimulationApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeSimulationJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeSimulationJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listDeploymentJobs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listDeploymentJobsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listFleets(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listFleetsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listRobotApplications(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listRobotApplicationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listRobots(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listRobotsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSimulationApplications(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSimulationApplicationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listSimulationJobs(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listSimulationJobsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerRobot(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerRobotAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result restartSimulationJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise restartSimulationJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result syncDeploymentJob(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise syncDeploymentJobAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateRobotApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateRobotApplicationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateSimulationApplication(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateSimulationApplicationAsync(array $args = [])
 */
class RoboMakerClient extends AwsClient {}
