<?php
namespace WP_Media_Folder\Aws\WorkMail;

use WP_Media_Folder\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon WorkMail** service.
 * @method \WP_Media_Folder\Aws\Result associateDelegateToResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateDelegateToResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result associateMemberToGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise associateMemberToGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result createUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise createUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteAlias(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteAliasAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteMailboxPermissions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteMailboxPermissionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deleteUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deleteUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result deregisterFromWorkMail(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise deregisterFromWorkMailAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeOrganization(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeOrganizationAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result describeUser(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise describeUserAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateDelegateFromResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateDelegateFromResourceAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result disassociateMemberFromGroup(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise disassociateMemberFromGroupAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listAliases(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listAliasesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listGroupMembers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listGroupMembersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listGroups(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listGroupsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listMailboxPermissions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listMailboxPermissionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listOrganizations(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listOrganizationsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listResourceDelegates(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listResourceDelegatesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listResources(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listResourcesAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result listUsers(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise listUsersAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result putMailboxPermissions(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise putMailboxPermissionsAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result registerToWorkMail(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise registerToWorkMailAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result resetPassword(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise resetPasswordAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updatePrimaryEmailAddress(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updatePrimaryEmailAddressAsync(array $args = [])
 * @method \WP_Media_Folder\Aws\Result updateResource(array $args = [])
 * @method \WP_Media_Folder\GuzzleHttp\Promise\Promise updateResourceAsync(array $args = [])
 */
class WorkMailClient extends AwsClient {}
